Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.transform
Class TransformerException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.xml.transform.TransformerException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  TransformerConfigurationException

public class TransformerException
extends java.lang.Exception

Encapsulates a problem exposed during a transformation.

Version:
  1.0
Author:
  Andrew Selkirk, David Brownell
See Also:
  Serialized Form

Constructor Summary
`TransformerException(java.lang.String msg)`
`TransformerException(java.lang.String msg, SourceLocator locator)`
`TransformerException(java.lang.String msg, SourceLocator locator, java.lang.Throwable cause)`
`TransformerException(java.lang.String msg, java.lang.Throwable cause)`
`TransformerException(java.lang.Throwable cause)`

Method Summary
`java.lang.Throwable` | `getCause()` Returns the root cause of this exception, or null if none is known.
`java.lang.Throwable` | `getException()` Synonym for `getCause()`.
`java.lang.String` | `getLocationAsString()` Returns a readable version of the locator info, or null if there is no locator.
`SourceLocator` | `getLocator()`
`java.lang.String` | `getMessageAndLocation()` Returns this exception's message, with readable location information appended if it is available.
`java.lang.Throwable` | `initCause(java.lang.Throwable cause)` Records the root cause of this exception; may be called only once, normally during initialization.
`void` | `printStackTrace()`
`void` | `printStackTrace(java.io.PrintStream stream)`
`void` | `printStackTrace(java.io.PrintWriter writer)`
`void` | `setLocator(SourceLocator location)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransformerException

    public TransformerException(java.lang.String msg)

### TransformerException

    public TransformerException(java.lang.Throwable cause)

### TransformerException

    public TransformerException(java.lang.String msg,
                                java.lang.Throwable cause)

### TransformerException

    public TransformerException(java.lang.String msg,
                                SourceLocator locator)

### TransformerException

    public TransformerException(java.lang.String msg,
                                SourceLocator locator,
                                java.lang.Throwable cause)

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Returns the root cause of this exception, or null if none is known.

### getException

    public java.lang.Throwable getException()

  Synonym for `getCause()`.

### getLocationAsString

    public java.lang.String getLocationAsString()

  Returns a readable version of the locator info, or null if there is no locator.

### getLocator

    public SourceLocator getLocator()

### getMessageAndLocation

    public java.lang.String getMessageAndLocation()

  Returns this exception's message, with readable location information appended if it is available.

### initCause

    public java.lang.Throwable initCause(java.lang.Throwable cause)

  Records the root cause of this exception; may be called only once, normally during initialization.

### printStackTrace

    public void printStackTrace()

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintStream stream)

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintWriter writer)

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### setLocator

    public void setLocator(SourceLocator location)

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.